/* Custom styles for Search & Filter Pro */

/* FILTERS **************************************************************************************************/
.search-filters {
    margin-top: 6px !important;
}
/* Choice control wrapper */
.search-filter-field--type-choice {
    /* border: 1px solid gray; */
}

/* Choice control label */
.search-filter-field--type-choice .search-filter-label {
    margin-top: 26px;
    margin-bottom: 16px;
    border-bottom: 1px solid rgba(214,214,214,0.5);
}

/* Collapsible Checkbox Hierarchy */
/* Outer checkbox container */
.search-filter-input-checkbox {
    /* border: 1px solid gray; */
}
/* Main checkbox container */
.search-filter-input-checkbox .search-filter-input-checkbox__container {
    /* border: 1px solid gray; */
}
/* Checkbox (clone) */
.search-filter-input-checkbox .search-filter-input-checkbox__container > .search-filter-input-checkbox__control {
    /* border: 1px solid gray; */
}
/* Checkbox Label */
.search-filter-input-checkbox .search-filter-input-checkbox__container > .search-filter-input-checkbox__label {
    /* border: 1px solid gray; */
}
/* Checkbox Caret */
.search-filter-input-checkbox .search-filter-input-checkbox__container > .search-filter-label__toggle-icon {
    transform: rotate(0deg);
    transition: all .3s ease;
}
.search-filter-input-checkbox.active .search-filter-input-checkbox__container > .search-filter-label__toggle-icon,
.search-filter-input-checkbox.search-filter-input-checkbox--is-active .search-filter-input-checkbox__container > .search-filter-label__toggle-icon {
    transform: rotate(180deg);
}

/* Checkbox Subgroup show/hide */
.search-filter-input-checkbox .search-filter-input-group {
    padding: 0 !important;
    margin-top: 0 !important;
    max-height: 0;
    overflow: hidden;
    transition: all .3s ease;
}
.search-filter-input-checkbox.active .search-filter-input-group,
.search-filter-input-checkbox.search-filter-input-checkbox--is-active .search-filter-input-group {
    max-height: 100vh;
}

/* Search Term */
body .search-filter-input-text {
    border-radius: 50px !important;
    background-color: #1b3258;
    border-color: #1b3258;
    color: white !important;
    border-width: 0 !important;
}
body .search-filter-input-text--focused:hover {
    border-color: #1b3258 !important;
}
.search-filter-input-text input[type=text].search-filter-input-text__input {
    border: none;
    box-shadow: none;
    /* color: var(--gray); */
    color: white !important;
    outline: none;
    padding: 14px !important;
    /* background-color: inherit; */
    background-color: #1b3258;
    border: 1px solid #1b3258;
}
.search-filter-input-text input[type=text]::placeholder {
    color: rgba(255,255,255,0.8);
}
body .search-filter-icon--destructive:hover .search-filter-icon__svg {
    fill: white;;
    color: white;
}
.search-filter-input-text .search-filter-icon {
    position: absolute;
    right: 6px;
    top: 4px;
}
.search-filter-input-text:has(> .search-filter-input-text__clear-button) .search-filter-icon.search-filter-input-text__icon {
    display: none;
}
.search-filter-input-text .search-filter-icon svg {
    width: 30px;
    height: 30px;
    fill: #ffffff;

}

/* Buttons */
.search-filter-input-button {
    border-radius: 50px !important;
    padding: 6px 24px !important;
    cursor: pointer;
    transition: all .3s ease;
}
.search-filter-input-button:hover {
    background-color: rgba(214,214,214,0.1) !important;
}

/* PageNavi Pagination */
.sf-pagination-wrap {
    display: grid;
    width: 100%;
    grid-template-columns: auto 1fr;
    align-items: flex-end;
    border-bottom: 1px solid rgba(214,214,214,0.5);
    padding-bottom: 4px;
    margin-bottom: 44px;
    font-size: 16px;
    margin-top: 0px;
    padding-top: 0px;
}
.sf-pagination-wrap .sf-page-count .wp-pagenavi * {
    display: none;
}

.sf-pagination-wrap .sf-page-count span.pages {
    display: inline-block;
    border: 0;
    font-size: 16px;
    padding: 0;
}
.sf-pagination-wrap .sf-pagination {
    justify-self: flex-end;
    justify-content: flex-end;
}
.sf-pagination-wrap .sf-pagination .wp-pagenavi span:not(.pages),
.sf-pagination-wrap .sf-pagination .wp-pagenavi a:not(.brock-button):not(.brock-category):not(.brock-explore-category) {
    font-family: monospace, sans-serif;
    font-weight: 200;
    border: 0;
    font-size: 14px;
    padding: 10px !important;
    aspect-ratio: 1 / 1;
    display: inline-grid;
    min-width: 20px;
    align-content: center;
    justify-content: center;
    border-radius: 4px;
    color: #777;
}
.sf-pagination-wrap .sf-pagination .wp-pagenavi span.current {
    background-color: #777;
    border: 1px solid #777;
    color: white;
}
.sf-pagination-wrap .sf-pagination .wp-pagenavi span.pages {
    display: none;
}

/* RESULTS */
/* Info & Order */
.search-info-order {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    align-content: center;
    /* border-bottom: 1px solid gray; */
    padding-bottom: 4px;
    margin-bottom: 0px;
    font-weight: 500;
    font-size: 18px;
}
.search-info-order .search-filter-base {
    display: inline-grid;
    grid-template-columns: auto 170px;
    column-gap: 6px;
    align-items: center;
    align-content: center;
    margin-bottom: 10px;
}
.search-info-order .search-filter-base .search-filter-label {
    margin-bottom: 2px;
}
.search-info-order .search-filter-base .search-filter-component-combobox-base {
    border: 0;
}

.search-info-order .search-filter-base .search-filter-component-combobox-base .search-filter-component-combobox__selection {
    font-weight: 100 !important;
}

/* Search & Filter Pro Results Overrides */
.sf_results_grid {
    display: grid;
    width: 100%;
    grid-template-columns: 1fr;
    grid-column-gap: 10px;
}

/* Brock blog */
.post-type-archive-brock-blog-post h1,
.post-type-archive-brock-blog-post h2,
.post-type-archive-brock-blog-post h3,
.post-type-archive-brock-blog-post h4,
.post-type-archive-brock-blog-post h5,
.post-type-archive-brock-blog-post h6 {
    text-align: left;
}
.current_search_header {
    /* border-bottom: 1px solid rgba(0,0,0,0.3); */
    text-transform: uppercase;
}
.content-area.brock-blog { 
    max-width: 1400px;
    display: grid;
    grid-template-columns: 1fr auto;
    column-gap: 40px;
}
.content-area.wide {
    max-width: 1400px;
}

.content-area.brock-blog > .brock_blog_header {
    grid-column: 1 / span 2;
    grid-row: 1 / span 1;
}
.content-area.brock-blog > form.searchandfilter {
    grid-column: 2 / span 1;
    grid-row: 2 / span 1;
}
.content-area.brock-blog > .search-filter-results {
    grid-column: 1 / span 1;
    grid-row: 2 / span 1;
}

/* Brock Blog Header */
.brock_blog_header {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 20px;
    justify-content: center;
    justify-items: center;
    align-content: center;
    align-items: center;
    padding-bottom: 20px;
    padding-top: 20px;
    border-bottom: 1px solid rgba(0,0,0,0.3);
    margin-bottom: 20px;
}
.brock_blog_header > img {
    display: inline-block;
    width: 200px;
    height: auto;
    justify-self: flex-end;
}
.brock_blog_header > h1 {
    display: inline-block;
    width: auto;
    justify-self: flex-start;
}
.dhmain .searchandfilter h4 {
    text-transform: uppercase;
    font-size: 1.4em;
}
.dhmain .searchandfilter ul {
    padding-inline-start: 10px;
}

/* Brock Cards */
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container {
    text-decoration: none;
    color: black;
}
.card {
    margin-bottom: 40px;
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .card-image {
    overflow: hidden;
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .card-image img {
    display: relative;
    width: 100%;
    height: auto;
    object-fit: cover;
    transition: all .3s ease;
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container:hover .card-image img {
    transform: scale(1.2);
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .article-meta {
    display: inline-flex;
    column-gap: 10px;
    font-size: .85em;
    color: #777;
    text-transform: uppercase;
    align-items: center;
    align-content: center;
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .article-meta > .meta-item {
    padding-bottom: 6px;
    margin-bottom: 0;
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .article-meta > .meta-item.publish-time {
    display: inline-block;
    position: relative;
    padding-right: 10px;
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .article-meta > .meta-item.publish-time::after {
    content: "";
    width: 1px;
    height: 14px;
    position: relative;
    display: inline-block;
    z-index: 2;
    right: -10px;
    top: 0;
    background-color: rgba(0,0,0,0.3);
    transform: translateY(2px);
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .article-meta > .meta-item.categories {
    display: inline-block;
    position: relative;
    padding-right: 10px;
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .article-meta > .meta-item.categories::after {
    content: "";
    width: 1px;
    height: 14px;
    position: relative;
    display: inline-block;
    z-index: 2;
    right: -10px;
    top: 0;
    background-color: rgba(0,0,0,0.3);
    transform: translateY(2px);
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .article-meta > .meta-item.categories > span.blog_cat {
    color: #b90007;
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .article-meta > .meta-item.categories > span.blog_cat::after {
    content: ",";
    display: inline-block;
    color: #777;
    padding-right: 6px;
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .article-meta > .meta-item.categories > span.blog_cat:last-child::after {
    display: none;
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .article-meta > .meta-item.author span {
    color: #b90007;
}

.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .card-title {
    font-size: 1.8em;
    margin-top: 0;
    padding-top: 0;
    margin-bottom: 0;
    padding-bottom: 10px;
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container:hover .card-title {
    text-decoration: underline;
}
.dhmain a:not(.brock-button):not(.brock-category):not(.brock-explore-category).card-container .card_excerpt {
    color: rgba(0,0,0,0.8);
}

/* Brock Single Page Template */
.brock_single {
    display: grid;
    grid-template-columns: 1fr auto;
    column-gap: 40px;
    color: #777
}
.brock_single .brock_single_categories {
    display: flex;
    column-gap: 0px;
    padding-bottom: 10px;
    /* border-bottom: 1px solid rgba(0,0,0,0.1); */
}
.brock_single .brock_single_categories span {
    display: inline-block;
    position: relative;
    color: #b90007;
    text-transform: uppercase;
    font-size: .8em;
}
.brock_single .brock_single_categories span::after {
    content: ",";
    display: inline-block;
    color: #777;
    padding-right: 6px;
}
.brock_single .brock_single_categories span:last-child::after {
    display: none;
}
.brock_single h1, 
.brock_single h2, 
.brock_single h3, 
.brock_single h4, 
.brock_single h5, 
.brock_single h6 {
    text-align: left;
    margin-bottom: 0;
    color: black;
}
.brock_single h1 {
    font-size: 1.8em;
}
.brock_single h2 {
    padding-top: 20px;
}
.brock_single_meta {
    display: flex;
    justify-content: flex-start;
    justify-items: flex-start;
    align-items: center;
    align-content: center;
    padding: 0;
    text-transform: uppercase;
    column-gap: 10px;
    font-size: .8em;
}
.brock_single_meta .meta-item.publish-time {
    display: inline-block;
    position: relative;
    padding-right: 10px;
}
.brock_single_meta .meta-item.publish-time::after {
    content: "";
    width: 1px;
    height: 14px;
    position: relative;
    display: inline-block;
    z-index: 2;
    right: -10px;
    top: 0;
    background-color: rgba(0,0,0,0.3);
    transform: translateY(2px);
}
.brock_single_meta span.author {
    color: #b90007;
}
.brock_single .wp-element-caption {
    font-style: italic;
    font-size: 0.8em;
}
.brock_single .wp-block-image figure.alignright {
    margin-left: 40px;
}
.brock_single .wp-block-embed.is-type-video {
    margin-top: 40px;
}